%define major 1
%define apiver 1.0
%define libname %mklibname %name %{apiver} %{major}
%define develname %mklibname %{name} -d
%define staticname %mklibname %{name} -d -s
%define oldlibname %mklibname %name 1.0

Summary:	An abstract SDL sound-file decoder
Name:		SDL_sound
Version:	1.0.3
Release:	%mkrel 6
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.icculus.org/SDL_sound
Source:		http://www.icculus.org/SDL_sound/downloads/%{name}-%{version}.tar.xz
BuildRequires:	SDL-devel
BuildRequires:	libflac-devel
BuildRequires:	libmikmod-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libspeex-devel
BuildRequires:	physfs-devel
BuildRequires:	doxygen

%description
SDL_sound is a library that handles the decoding of several popular
sound file formats, such as .WAV and .MP3. It is meant to make the
programmer's sound playback tasks simpler. The programmer gives
SDL_sound a file-name, or feeds it data directly from one of many
sources, and then reads the decoded waveform data back at her
leisure. If resource constraints are a concern, SDL_sound can process
sound data in programmer-specified blocks. Alternately, SDL_sound can
decode a whole sound file and hand back a single pointer to the whole
waveform. SDL_sound can also handle sample rate, audio format, and
channel conversion on-the-fly and behind-the-scenes, if the programmer
desires.

%package -n %{libname}
Summary:	SDL graphics drawing primitives and other support functions
Group:		System/Libraries
Obsoletes:	%{_lib}SDL_sound1.0
Provides:	%{_lib}SDL_sound1.0 = %version-%release

%description -n %{libname}
SDL_sound is a library that handles the decoding of several popular
sound file formats, such as .WAV and .MP3. It is meant to make the
programmer's sound playback tasks simpler. The programmer gives
SDL_sound a file-name, or feeds it data directly from one of many
sources, and then reads the decoded waveform data back at her
leisure. If resource constraints are a concern, SDL_sound can process
sound data in programmer-specified blocks. Alternately, SDL_sound can
decode a whole sound file and hand back a single pointer to the whole
waveform. SDL_sound can also handle sample rate, audio format, and
channel conversion on-the-fly and behind-the-scenes, if the programmer
desires.

%package -n %{develname}
Summary:	Header files and more to develop SDL_sound applications
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}SDL_sound1.0-devel
Provides:	%{_lib}SDL_sound1.0-devel = %version-%release

%description -n %{develname}
Header files and more to develop SDL_sound applications.

%package -n %{staticname}
Summary:	Static SDL_sound libraries
Group:		Development/Libraries
Requires:	%{develname} = %{version}-%{release}
Obsoletes:	%{_lib}SDL_sound1.0-static-devel
Provides:	%{_lib}SDL_sound1.0-static-devel = %version-%release

%description -n %{staticname}
Static SDL_sound libraries.

%prep
%setup -q
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure

%build
export CFLAGS="-lm"
export CPPFLAGS="-I%{_includedir}/libmodplug"

%configure2_5x --enable-static

%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %buildroot%_libdir/*.la

%files
%doc README
%{_bindir}/*

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}*

%files -n %{develname}
%doc CHANGELOG TODO CREDITS
%{_libdir}/lib*.so
%{_includedir}/SDL/*

%files -n %{staticname}
%{_libdir}/lib*.a

%clean
rm -rf %buildroot

%changelog
* Wed Jul 04 2018 adrianomorselli <adrianomorselli> 1.0.3-6uplos2018
- rebuild for 2018
